Subject: Re: [mpls] I-D Action: draft-smack-mpls-rfc4379bis-05.txt

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Mon, 5 Oct 2015 15:02:04 +0000

Hi All,

Uptil this version, all Erratas on RFC4379 has been addressed and text
were updated to reflect TC instead of EXP (RFC5462).

As mentioned in Section 1.5 of draft-smack-mpls-rfc4379bis, the next step
is to evaluate the RFCs that updates RFC4379 and identify the list to be
incorporated in rfc4379bis.

A summary of updates by RFC 6424:

* Updates the validation procedure to include Stitching and Hierarchical
LSPs.
* Deprecates DSMAP defined in RFC4379 and replaces it with DDMAP.
* Introduces a new TLV as FEC Stack Change Sub-TLV
* Introduces 2 New return codes.
* Check and include IANA considerations.

Potential Update - Update the return code and DDMAP TLV in respective
section, Remove (or Deprecate DSMAP), update the procedure with DDMAP
reference in place of DSMAP, Update the procedure section 4.4, 4.5 and 4.6.

A summary of updates by RFC 6425:

* Extends the validation procedure for P2MP and MP2MP LSPs.
* Introduces 4 new Target FEC Stack Sub-TLVs.
* Introduces 2 new TLVs (and related Sub-TLVs)
* Check and include IANA considerations.

Potential Update - Per discussion with WG.

A summary of updates by RFC 6426:

* Extends the validation procedure for MPLS-TP with both IP based and
non-IP (ACH) based encapsulation .
* Introduces 2 new Target FEC Stack Sub-TLVs.
* Introduces new Address types for DSMAP
* Introduces 3 new TLVs.
* Reserves a flag in Global Flags.
* Check and include IANA considerations.

Potential Update - Per discussion with WG.

A summary of updates by RFC 6829:

* Introduces 2 new Target FEC Stack Sub-TLVs for PW between IPv6 endpoints.
* No changes in procedure.
* Check and include IANA considerations.

Potential Update - Include the Sub-TLVs in respective section.

A summary of updates by RFC 7506:

* Introduces a new option in IPv6 HbH extension header.
* No changes in procedure.
* Check and include IANA considerations.

Potential Update - Include the same and update the header processing
section.

A summary of updates by RFC 7537:

* Document to create IANA registries for name spaces defined in RFC4379
and 6424.
* No changes in procedure.
* Check and include IANA considerations.

Potential Update - Include the same in IANA consideration.

Since RFC 6829 and 7506 are straight forward, we will go ahead and include
the same while we discuss on the other RFCs. Please share your thoughts
and accordingly, we can include the relevant content to update the draft.

Thanks,
Nagendra

On 10/3/15, 10:19 AM, "[email-masked]"
<[email-masked]> wrote:

>
>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
>
>
>        Title           : Detecting Multi-Protocol Label Switched (MPLS)
>Data Plane Failures
>        Authors         : Carlos Pignataro
>                          Nagendra Kumar
>                          Sam Aldrin
>                          Mach(Guoyi) Chen
>	Filename        : draft-smack-mpls-rfc4379bis-05.txt
>	Pages           : 49
>	Date            : 2015-10-03
>
>Abstract:
>   This document describes a simple and efficient mechanism that can be
>   used to detect data plane failures in Multi-Protocol Label Switching
>   (MPLS) Label Switched Paths (LSPs).  There are two parts to this
>   document: information carried in an MPLS "echo request" and "echo
>   reply" for the purposes of fault detection and isolation, and
>   mechanisms for reliably sending the echo reply.
>
>   This document obsoletes RFC 4379.
>
>
>The IETF datatracker status page for this draft is:
>https://datatracker.ietf.org/doc/draft-smack-mpls-rfc4379bis/
>
>There's also a htmlized version available at:
>https://tools.ietf.org/html/draft-smack-mpls-rfc4379bis-05
>
>A diff from the previous version is available at:
>https://www.ietf.org/rfcdiff?url2=draft-smack-mpls-rfc4379bis-05
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>Internet-Drafts are also available by anonymous FTP at:
>ftp://ftp.ietf.org/internet-drafts/
>
>_______________________________________________
>I-D-Announce mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/i-d-announce
>Internet-Draft directories: http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 6 Oct 2015 09:55:19 +0000

Nagendra,
Lots of thanks for an excellent summary of expected future work.

One minor comment:
>From my POV the DSMAP TLV should be deprecated (by  the DDMAP one) but not removed altogether - in any case this is what RFC 6424 defines.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Nagendra Kumar Nainar (naikumar)
Sent: Monday, October 05, 2015 6:02 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [mpls] I-D Action: draft-smack-mpls-rfc4379bis-05.txt

Hi All,

Uptil this version, all Erratas on RFC4379 has been addressed and text were updated to reflect TC instead of EXP (RFC5462).

As mentioned in Section 1.5 of draft-smack-mpls-rfc4379bis, the next step is to evaluate the RFCs that updates RFC4379 and identify the list to be incorporated in rfc4379bis.

* Updates the validation procedure to include Stitching and Hierarchical LSPs.

Potential Update - Update the return code and DDMAP TLV in respective section, Remove (or Deprecate DSMAP), update the procedure with DDMAP reference in place of DSMAP, Update the procedure section 4.4, 4.5 and 4.6.

* Extends the validation procedure for MPLS-TP with both IP based and non-IP (ACH) based encapsulation .

Potential Update - Include the same and update the header processing section.

* Document to create IANA registries for name spaces defined in RFC4379 and 6424.
* No changes in procedure.
* Check and include IANA considerations.

Since RFC 6829 and 7506 are straight forward, we will go ahead and include the same while we discuss on the other RFCs. Please share your thoughts and accordingly, we can include the relevant content to update the draft.

Thanks,
Nagendra

On 10/3/15, 10:19 AM, "[email-masked]"
<[email-masked]> wrote:

>submission until the htmlized version and diff are available at 
>tools.ietf.org.
>
>Internet-Draft directories: http://www.ietf.org/shadow.html or 
>ftp://ftp.ietf.org/ietf/1shadow-sites.txt

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Wed, 7 Oct 2015 00:37:57 +0000

Hi Sasha,

Yea, we will mark it as deprecated and replace the references to DDMAP.

Thanks,
Nagendra

On 10/6/15, 5:55 AM, "Alexander Vainshtein"
<[email-masked]> wrote:

>From my POV the DSMAP TLV should be deprecated (by  the DDMAP one) but
>not removed altogether - in any case this is what RFC 6424 defines.
>
>My 2c,
>Sasha
>
>Office: +972-39266302
>Cell:      +972-549266302
>Since RFC 6829 and 7506 are straight forward, we will go ahead and
>include the same while we discuss on the other RFCs. Please share your
>thoughts and accordingly, we can include the relevant content to update
>the draft.
>
>Thanks,
>Nagendra
>
>
>